
// Give a menu interface to Coral

#include <stdlib.h>
#include <iostream.h>

#include "util.h"
#include "insert.h"
#include "query.h"

// ++++++++++++++++++++++++++++++++++++++++++++++++++

char *main_menu[] = {
    "Consult a file.\n",
    "Insert a fact into a relation.\n",
    "Delete a fact from a relation.\n",
    "Query a relation.\n",
    "List Relations.\n",
    "Quit.\n",
    NULL 
};

#define OPT_CONSULT     (0)
#define OPT_INSERT      (1)
#define OPT_DELETE      (2)
#define OPT_QUERY       (3)
#define OPT_LISTRELS    (4)
#define OPT_QUIT        (5)

char *rels[] = {
    "data2",
    "data3",
    "data4",
    NULL
};

// ++++++++++++++++++++++++++++++++++++++++++++++++++
int main()
{
    int done = 0;
    int select;

    Init();

    do {

        cout << endl << "Embedded Coral Menu\n\n";
        show_menu(main_menu);
        select = get_choice();

        if (select < 0) {
            cout << "Invalid entry, input must be in [a-z].\n";
            continue;
        }

        switch (select) {

        case OPT_CONSULT:
            cout << "\nConsulting.\n";
            Consult();
            break;

        case OPT_INSERT:
            cout << "\nInserting.\n";
            InsMenu();
            break;

        case OPT_DELETE:
            cout << "\nDeleting.\n";
            DelMenu();
            break;

        case OPT_QUERY:
            cout << "\nQuerying.\n";
            QueryData2();
            QueryData3();
            break;

        case OPT_LISTRELS:
            cout << "\nListing Relations.\n";
            ListRels();
            break;

        case OPT_QUIT:
            cout << "\nQuitting.\n";
            done = 1;
            break;

        default:
            cout << "Unknown option: " << letters[select] << endl;
            break;
        }

    } while (!done);

    cout << "\nBye!\n";

    return(0);
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++
